package net.bluemind.authentication.api;
import net.bluemind.core.api.BMPromiseApi;
import java.util.concurrent.CompletableFuture;

@BMPromiseApi(net.bluemind.authentication.api.IAuthenticationAsync.class)
public interface IAuthenticationPromise  {

	CompletableFuture<net.bluemind.authentication.api.AuthUser> getCurrentUser();

	CompletableFuture<net.bluemind.authentication.api.LoginResponse> su(java.lang.String login);

	CompletableFuture<Void> ping();

	CompletableFuture<net.bluemind.authentication.api.LoginResponse> login(java.lang.String login, java.lang.String password, java.lang.String origin);

	CompletableFuture<net.bluemind.authentication.api.LoginResponse> loginWithParams(java.lang.String login, java.lang.String password, java.lang.String origin, java.lang.Boolean interactive);

	CompletableFuture<Void> logout();

	CompletableFuture<net.bluemind.authentication.api.LoginResponse> suWithParams(java.lang.String login, java.lang.Boolean interactive);

	CompletableFuture<net.bluemind.authentication.api.ValidationKind> validate(java.lang.String login, java.lang.String password, java.lang.String origin);

}