package net.bluemind.core.container.api;
import net.bluemind.core.api.BMPromiseApi;
import java.util.concurrent.CompletableFuture;

@BMPromiseApi(net.bluemind.core.container.api.IContainerManagementAsync.class)
public interface IContainerManagementPromise  {

	CompletableFuture<net.bluemind.core.container.model.ContainerDescriptor> getDescriptor();

	CompletableFuture<java.util.Map<java.lang.String,java.lang.String>> getSettings();

	CompletableFuture<java.util.List<net.bluemind.core.container.model.acl.AccessControlEntry>> getAccessControlList();

	CompletableFuture<java.util.List<net.bluemind.core.container.model.ItemDescriptor>> getAllItems();

	CompletableFuture<java.util.List<java.lang.String>> subscribers();

	CompletableFuture<net.bluemind.core.container.api.Count> getItemCount();

	CompletableFuture<Void> setAccessControlList(java.util.List<net.bluemind.core.container.model.acl.AccessControlEntry> entries);

	CompletableFuture<Void> update(net.bluemind.core.container.model.ContainerModifiableDescriptor descriptor);

	CompletableFuture<Void> allowOfflineSync(java.lang.String subject);

	CompletableFuture<Void> setSettings(java.util.Map<java.lang.String,java.lang.String> settings);

	CompletableFuture<java.util.List<net.bluemind.core.container.model.ItemDescriptor>> getItems(java.util.List<java.lang.String> uids);

	CompletableFuture<Void> disallowOfflineSync(java.lang.String subject);

	CompletableFuture<Boolean> canAccess(java.util.List<java.lang.String> verbsOrRoles);

	CompletableFuture<Void> setPersonalSettings(java.util.Map<java.lang.String,java.lang.String> settings);

}