package net.bluemind.core.container.api;
import net.bluemind.core.api.BMPromiseApi;
import java.util.concurrent.CompletableFuture;

@BMPromiseApi(net.bluemind.core.container.api.IContainersAsync.class)
public interface IContainersPromise  {

	CompletableFuture<java.util.List<net.bluemind.core.container.model.ContainerDescriptor>> all(net.bluemind.core.container.api.ContainerQuery query);

	CompletableFuture<java.util.List<net.bluemind.core.container.model.ContainerDescriptor>> getContainers(java.util.List<java.lang.String> containerIds);

	CompletableFuture<Void> setAccessControlList(java.lang.String uid, java.util.List<net.bluemind.core.container.model.acl.AccessControlEntry> entries);

	CompletableFuture<Void> update(java.lang.String uid, net.bluemind.core.container.model.ContainerModifiableDescriptor descriptor);

	CompletableFuture<java.util.List<net.bluemind.core.container.model.BaseContainerDescriptor>> allLight(net.bluemind.core.container.api.ContainerQuery query);

	CompletableFuture<java.util.List<net.bluemind.core.container.model.ContainerDescriptor>> allForUser(java.lang.String domainUid, java.lang.String userUid, net.bluemind.core.container.api.ContainerQuery query);

	CompletableFuture<Void> delete(java.lang.String uid);

	CompletableFuture<net.bluemind.core.container.model.ContainerDescriptor> get(java.lang.String uid);

	CompletableFuture<Void> create(java.lang.String uid, net.bluemind.core.container.model.ContainerDescriptor descriptor);

	CompletableFuture<net.bluemind.core.container.model.ContainerDescriptor> getIfPresent(java.lang.String uid);

	CompletableFuture<net.bluemind.core.container.model.ContainerDescriptor> getForUser(java.lang.String domainUid, java.lang.String userUid, java.lang.String uid);

}