/* BEGIN LICENSE
 * Copyright © Blue Mind SAS, 2012-2016
 *
 * This file is part of BlueMind. BlueMind is a messaging and collaborative
 * solution.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of either the GNU Affero General Public License as
 * published by the Free Software Foundation (version 3 of the License).
 *
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * See LICENSE.txt
 * END LICENSE
 */
package net.bluemind.core.container.model;

/**
 * Util class to build an uri for an item : containerUid/itemUid
 *
 */
public class ItemUri {

	public String containerUid;
	public String itemUid;

	@Override
	public String toString() {
		return uri(containerUid, itemUid);
	}

	public static String uri(String containerUid, String itemUid) {
		return containerUid + ":" + itemUid;
	}

	public static ItemUri parse(String uri) {
		int index = uri.indexOf(':');
		if (index < 0) {
			return null;
		} else {
			return ItemUri.create(uri.substring(0, index), uri.substring(index + 1));
		}
	}

	private static ItemUri create(String containerUid, String itemUid) {
		ItemUri itemUri = new ItemUri();
		itemUri.containerUid = containerUid;
		itemUri.itemUid = itemUid;
		return itemUri;
	}
}
