package net.bluemind.directory.api;
import net.bluemind.core.api.AsyncHandler;
import net.bluemind.core.api.BMAsyncApi;

@BMAsyncApi(net.bluemind.directory.api.IDirectory.class)
public interface IDirectoryAsync  {

	void getEntryIcon(java.lang.String entryUid , 
	               AsyncHandler<byte[]> handler);

	void getVCard(java.lang.String uid , 
	               AsyncHandler<net.bluemind.core.container.model.ItemValue<net.bluemind.addressbook.api.VCard>> handler);

	void delete(java.lang.String path , 
	               AsyncHandler<net.bluemind.core.task.api.TaskRef> handler);

	void changeset(java.lang.Long since , 
	               AsyncHandler<net.bluemind.core.container.model.ContainerChangeset<java.lang.String>> handler);

	void search(net.bluemind.directory.api.DirEntryQuery query , 
	               AsyncHandler<net.bluemind.core.api.ListResult<net.bluemind.core.container.model.ItemValue<net.bluemind.directory.api.DirEntry>>> handler);

	void findByEntryUid(java.lang.String entryUid , 
	               AsyncHandler<net.bluemind.directory.api.DirEntry> handler);

	void getEntryPhoto(java.lang.String entryUid , 
	               AsyncHandler<byte[]> handler);

	void getEntry(java.lang.String path , 
	               AsyncHandler<net.bluemind.directory.api.DirEntry> handler);

	void getRoot(
	               AsyncHandler<net.bluemind.directory.api.DirEntry> handler);

	void deleteByEntryUid(java.lang.String entryUid , 
	               AsyncHandler<net.bluemind.core.task.api.TaskRef> handler);

	void getByEmail(java.lang.String email , 
	               AsyncHandler<net.bluemind.directory.api.DirEntry> handler);

	void getRolesForDirEntry(java.lang.String entryUid , 
	               AsyncHandler<java.util.Set<java.lang.String>> handler);

	void changelog(java.lang.Long since , 
	               AsyncHandler<net.bluemind.core.container.model.ContainerChangelog> handler);

	void getRolesForOrgUnit(java.lang.String ouUid , 
	               AsyncHandler<java.util.Set<java.lang.String>> handler);

	void getIcon(java.lang.String path , 
	               AsyncHandler<byte[]> handler);

	void getEntries(java.lang.String path , 
	               AsyncHandler<java.util.List<net.bluemind.directory.api.DirEntry>> handler);

}