package net.bluemind.server.api;
import net.bluemind.core.api.BMPromiseApi;
import java.util.concurrent.CompletableFuture;

@BMPromiseApi(net.bluemind.server.api.IServerAsync.class)
public interface IServerPromise  {

	CompletableFuture<java.lang.String> submit(java.lang.String uid, java.lang.String command);

	CompletableFuture<net.bluemind.core.task.api.TaskRef> update(java.lang.String uid, net.bluemind.server.api.Server srv);

	CompletableFuture<java.util.List<net.bluemind.server.api.Assignment>> getAssignments(java.lang.String domainUid);

	CompletableFuture<net.bluemind.core.task.api.TaskRef> setTags(java.lang.String uid, java.util.List<java.lang.String> tags);

	CompletableFuture<net.bluemind.server.api.CommandStatus> getStatus(java.lang.String uid, java.lang.String ref);

	CompletableFuture<Void> delete(java.lang.String uid);

	CompletableFuture<java.util.List<java.lang.String>> byAssignment(java.lang.String domainUid, java.lang.String tag);

	CompletableFuture<net.bluemind.core.task.api.TaskRef> create(java.lang.String uid, net.bluemind.server.api.Server srv);

	CompletableFuture<java.util.List<net.bluemind.core.container.model.ItemValue<net.bluemind.server.api.Server>>> allComplete();

	CompletableFuture<Void> writeFile(java.lang.String uid, java.lang.String path, byte[] content);

	CompletableFuture<Void> unassign(java.lang.String serverUid, java.lang.String domainUid, java.lang.String tag);

	CompletableFuture<net.bluemind.core.container.model.ItemValue<net.bluemind.server.api.Server>> getComplete(java.lang.String uid);

	CompletableFuture<java.util.List<net.bluemind.server.api.Assignment>> getServerAssignments(java.lang.String uid);

	CompletableFuture<byte[]> readFile(java.lang.String uid, java.lang.String path);

	CompletableFuture<net.bluemind.server.api.CommandStatus> submitAndWait(java.lang.String uid, java.lang.String command);

	CompletableFuture<Void> assign(java.lang.String serverUid, java.lang.String domainUid, java.lang.String tag);

}